Test::Lintian::Filter(3)

NAME
Test::Lintian::Filter -- Functions to select with tests to run

SYNOPSIS
  use Test::Lintian::Filter qw(find_selected_lintian_testpaths);
  my @testpaths = find_selected_lintian_testpaths('suite:changes');

DESCRIPTION
Functions that parse the optional argument 'only_run' to find the tests that are supposed to run.

FUNCTIONS

get_suitepath(TEST_SET, SUITE)
    Returns a string containing all test belonging to suite SUITE relative to path TEST_SET.

find_selected_scripts(SCRIPT_PATH, ONLY_RUN)
    Find all test scripts in SCRIPT_PATH that are identified by the user's selection string ONLY_RUN.

find_selected_lintian_testpaths(TEST_SET, ONLY_RUN)
    Find all those test paths with Lintian tests located in the directory TEST_SET and identified by the user's selection string ONLY_RUN.

find_all_testpaths(PATH)
    Returns an array containing all test paths located under PATH. They are identified as test paths by a specially named file containing the test description (presently 'desc').

find_testpaths_by_name(PATH, NAME)
    Returns an array containing all test paths with the name NAME located under PATH. The test paths are identified as such by a specially named file containing the test description (presently 'desc').

find_all_tags(TEST_PATH)
    Returns an array containing all tags that somehow concern the test located in TEST_PATH.